﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lindenmayer
{
    /// <summary>
    /// Une règle de transformation dans le système de Lindenmayer
    /// </summary>
    class Regle
    {
        /// <summary>
        /// Caractère à substituer
        /// </summary>
        public char Caractere { get; protected set;}

        /// <summary>
        /// Chaine de substitution
        /// </summary>
        public string Substitution { get; protected set;}


        /// <summary>
        /// COnstructeur avec initialisation des champs
        /// </summary>
        /// <param name="caractere">Caractère à substituer</param>
        /// <param name="substitution">Chaine de substitution</param>
        public Regle(char caractere, string substitution)
        {
            this.Caractere = caractere;
            this.Substitution = substitution;
        }
    }
}
